Use the ship_date property in your shipment objects to specify the date the shipment will be shipped. By default, if no ship date is specified, ShipStation API assumes the ship date is the same day you created the shipment or label. ShipStation API will take the day of week into consideration. For example, if the carrier does not operate on Sundays, then the package ship date will be set to Monday instead.
Specifying the ship date for a label can help you to schedule a pickup, receive more accurate rates, and importantly, enable you to create manifests.
The ship_date property uses the ISO 8601 standard format.
TIP:
ship_dateis regarded strictly as a date and passes to the carrier as such. Best practice is to set the date to when the warehouse plans to actually hand over the package to the carrier. If that is not the same day you created the shipment or label, add theship_dateproperty to your request and set it to the desired date.
POST /v1/labels HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"shipment": {
"service_code": "usps_priority_mail",
"ship_date": "2024-09-23T00:00:00.000",
"ship_to": {
"name": "Amanda Miller",
"phone": "555-555-5555",
"address_line1": "525 S Winchester Blvd",
"city_locality": "San Jose",
"state_province": "CA",
"postal_code": "95128",
"country_code": "US",
"address_residential_indicator": "yes"
},
"ship_from": {
"company_name": "Example Corp.",
"name": "John Doe",
"phone": "111-111-1111",
"address_line1": "4009 Marathon Blvd",
"address_line2": "Suite 300",
"city_locality": "Austin",
"state_province": "TX",
"postal_code": "78756",
"country_code": "US",
"address_residential_indicator": "no"
},
"packages": [
{
"weight": {
"value": 1.0,
"unit": "ounce"
}
}
]
}
}Response
{
"label_id": "se-test-41860047",
"status": "processing",
"shipment_id": "se-41860047",
"ship_date": "2024-09-23T00:00:00.000",
"created_at": "2024-09-21T15:00:00.000",
"shipment_cost": {
"currency": "usd",
"amount": 0.0
},
"insurance_cost": {
"currency": "usd",
"amount": 0.0
},
"tracking_number": "9999999999999",
"is_return_label": false,
"is_international": false,
"batch_id": "",
"carrier_id": "se-0",
"service_code": "usps_priority_mail",
"package_code": "package",
"voided": false,
"voided_at": null,
"label_format": "pdf",
"label_layout": "4x6",
"trackable": true,
"carrier_code": "stamps_com",
"tracking_status": "unknown",
"label_download": {
"pdf": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.pdf",
"png": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.png",
"zpl": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.zpl",
"href": "https://api.shipengine.com/v1/downloads/6/Q2OLdnGaqk-UzkN6pFH0lg/testlabel-202923521.pdf"
},
"form_download": null,
"insurance_claim": null
}